> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.specurate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Settings



## OpenAPI

````yaml /openapi.json get /v1/workspaces/{workspaceId}/join-requests/settings
openapi: 3.1.0
info:
  title: Specurate API
  description: ''
  version: 1.0.0
  contact: {}
servers:
  - url: https://app.specurate.com/api
    description: API Server
security: []
tags: []
paths:
  /v1/workspaces/{workspaceId}/join-requests/settings:
    get:
      tags:
        - Workspace Join Requests
      summary: Get Settings
      operationId: WorkspaceJoinRequestsController_getSettings_v1
      parameters:
        - name: workspaceId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JoinRequestSettingsDto'
components:
  schemas:
    JoinRequestSettingsDto:
      type: object
      properties:
        enabled:
          type: boolean
        domain:
          type: string
        allowed:
          type: boolean
      required:
        - enabled
        - domain
        - allowed

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.